Author goyodiaz
Recipients goyodiaz
Date 2016-09-02.10:20:34
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1472811634.57.0.400970918265.issue27939@psf.upfronthosting.co.za>
In-reply-to
Content
Calling mainloop after setting the value of a ttk.LabeledScale raises an error. The same happens if the value is set after entering the mainloop.

Does not affect python 3.4.3. Does not affect ttk.Scale. No error is raised if you do not call mainloop.


import tkinter as tk
import tkinter.ttk as ttk
root = tk.Tk()
w = ttk.LabeledScale(root)
w.pack()
w.scale.set(1)
root.mainloop()

Traceback (most recent call last):
  File "d:\users\u938001\AppData\Local\Programs\Python\Python35-32\lib\tkinter\__init__.py", line 1550, in __call__
    return self.func(*args)
  File "d:\users\u938001\AppData\Local\Programs\Python\Python35-32\lib\tkinter\ttk.py", line 1540, in _adjust
    newval = self._variable.get()
  File "d:\users\u938001\AppData\Local\Programs\Python\Python35-32\lib\tkinter\__init__.py", line 355, in get
    return self._tk.getint(self._tk.globalgetvar(self._name))
TypeError: getint() argument must be str, not float

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "itcomp.py", line 8, in <module>
    root.mainloop()
  File "d:\users\u938001\AppData\Local\Programs\Python\Python35-32\lib\tkinter\__init__.py", line 1131, in mainloop
    self.tk.mainloop(n)
  File "d:\users\u938001\AppData\Local\Programs\Python\Python35-32\lib\tkinter\__init__.py", line 1554, in __call__
    self.widget._report_exception()
AttributeError: 'IntVar' object has no attribute '_report_exception'
History
Date User Action Args
2016-09-02 10:20:34goyodiazsetrecipients: + goyodiaz
2016-09-02 10:20:34goyodiazsetmessageid: <1472811634.57.0.400970918265.issue27939@psf.upfronthosting.co.za>
2016-09-02 10:20:34goyodiazlinkissue27939 messages
2016-09-02 10:20:34goyodiazcreate